//$URL: https://dasding.googlecode.com/svn/tags/dasding-0.2/api/src/main/java/de/piratech/dasding/StartRestServer.java $
//$Id: StartRestServer.java 26 2012-10-07 23:22:51Z amuthmann@gmail.com $
/*
 * Copyright 2012 deveth0.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.piratech.dasding;

import com.sun.jersey.api.container.httpserver.HttpServerFactory;
import com.sun.net.httpserver.HttpServer;
import java.io.IOException;
import javax.swing.JOptionPane;

/**
 * Helper to start a simple HttpServer from within java.
 * @author deveth0
 */
public class StartRestServer {

  public static void main(String[] args) throws IOException{
    HttpServer server = HttpServerFactory.create("http://localhost:8080/DasDing");
    server.start();
    JOptionPane.showMessageDialog(null, "End");
    server.stop(0);
  }
}
